Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058076 - [PATCH WIP] spec: implement macros with inline shell command
Summary: [PATCH WIP] spec: implement macros with inline shell command
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: vim
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-26 21:37 UTC by Igor Gnatenko
Modified: 2016-03-20 10:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-20 10:19:24 UTC


Attachments (Terms of Use)
cmd.spec (deleted)
2014-01-26 21:37 UTC, Igor Gnatenko
no flags Details
Proposed patch (deleted)
2014-01-26 21:46 UTC, Igor Gnatenko
no flags Details | Diff
cmd.spec (macros inside inline shell command) (deleted)
2014-01-26 21:47 UTC, Igor Gnatenko
no flags Details
[PATCH v2] spec: implement macros with inline shell command (deleted)
2014-01-26 21:57 UTC, Igor Gnatenko
no flags Details | Diff

Description Igor Gnatenko 2014-01-26 21:37:52 UTC
Created attachment 855786 [details]
cmd.spec

Download attached test spec
Open with vim
Try to use <Leader>c (\c)

Actual results:
0.1-1.git%(c=0bff2a6fb8f9c879aa72e3b11e48e022b5bac790; echo ${c:0:7})

Expected results
0.1-1.git0bff2a6

Comment 1 Igor Gnatenko 2014-01-26 21:46:11 UTC
Created attachment 855797 [details]
Proposed patch

Comment 2 Igor Gnatenko 2014-01-26 21:47:03 UTC
Created attachment 855798 [details]
cmd.spec (macros inside inline shell command)

I've implemented this, but still unresolve macroses inside inline shell commands like attached case.

Comment 3 Igor Gnatenko 2014-01-26 21:57:43 UTC
Created attachment 855810 [details]
[PATCH v2] spec: implement macros with inline shell command

Oh. my previous patch caused one big regression. Fixed it.

Comment 4 Jaroslav Reznik 2015-03-03 15:25:38 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Igor Gnatenko 2016-03-20 10:19:24 UTC
no interest for long time


Note You need to log in before you can comment on or make changes to this bug.